github
default GitHubEndpointBuilderFactory.GitHubEndpointBuilder github(String path)
GitHub (camel-github)
The github component is used for integrating Camel with github. The
endpoint encapsulates portions of the GitHub API, relying on the
org.eclipse.egit.github.core Java SDK. Available endpoint URIs
include: CONSUMERS github://pullRequest (new pull requests)
github://pullRequestComment (new pull request comments)
github://commit/branch (new commits) github://tag (new tags)
PRODUCERS github://pullRequestComment (create a new pull request
comment; see PullRequestCommentProducer for header requirements) The
endpoints will respond with org.eclipse.egit.github.core-provided
POJOs (PullRequest, CommitComment, RepositoryTag, RepositoryCommit,
etc.) Note: Rather than webhooks, this endpoint relies on simple
polling. Reasons include: - concerned about reliability/stability if
this somehow relied on an exposed, embedded server (Jetty) - the
types of payloads we're polling aren't typically large (plus, paging
is available in the API) - need to support apps running somewhere not
publicly accessible where a webhook would fail
Category: api,file
Since: 2.15
Maven coordinates: org.apache.camel:camel-github
Syntax: github:type/branchName
Path parameter: type (required)
What git operation to execute
The value can be one of: CLOSEPULLREQUEST, PULLREQUESTCOMMENT,
COMMIT, PULLREQUEST, TAG, PULLREQUESTSTATE, PULLREQUESTFILES,
GETCOMMITFILE, CREATEISSUE
Path parameter: branchName
Name of branch